View Issue Details

IDProjectCategoryView StatusLast Update
0002695SymmetricDSBugpublic2016-11-30 12:24
ReporterelongAssigned Toelong 
PrioritynormalSeveritymajorReproducibilityN/A
Status closedResolutionfixed 
Product Version3.7.22 
Target Version3.7.37Fixed in Version3.7.37 
Summary0002695: Transform with null update action loses updates
DescriptionWhen the update action on a transform is left as null, a null pointer exception occurs, and the exception is caught and logged instead of putting the batch into error. This causes update statements to lost for those transforms.
TagsNo tags attached.

Relationships

has duplicate 0002481 closedelong Unable to Sync 
has duplicate 0002491 closedelong Unable to sync if transformation rules lead to NULL result 

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: 3.7 bb5021cd

2016-07-27 11:19:28

admin

Details Diff
0002695: Transform with null update action loses updates
0002695
mod - symmetric-io/src/main/java/org/jumpmind/symmetric/io/data/transform/TransformTable.java Diff File

SymmetricDS: 3.8 8a22032c

2016-07-27 15:42:04

admin

Details Diff
0002695: Transform with null update action loses updates
0002695
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/db/DatabaseUpgradeListener.java Diff File
mod - symmetric-core/src/main/resources/symmetric-schema.xml Diff File

SymmetricDS: 3.8 4aca2a99

2016-07-28 10:49:36

admin

Details Diff
0002695: Transform with null update action loses updates
0002695
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/db/DatabaseUpgradeListener.java Diff File

Issue History

Date Modified Username Field Change
2016-07-27 11:19 elong New Issue
2016-07-27 11:19 elong Status new => assigned
2016-07-27 11:19 elong Assigned To => elong
2016-07-27 11:19 elong Status assigned => resolved
2016-07-27 11:19 elong Fixed in Version => 3.7.37
2016-07-27 11:19 elong Resolution open => fixed
2016-07-27 12:00 admin Changeset attached => SymmetricDS 3.7 bb5021cd
2016-07-27 16:00 admin Changeset attached => SymmetricDS 3.8 8a22032c
2016-07-28 11:00 admin Changeset attached => SymmetricDS 3.8 4aca2a99
2016-08-08 09:08 elong Status resolved => closed
2016-11-30 12:19 elong Relationship added has duplicate 0002481
2016-11-30 12:24 elong Relationship added has duplicate 0002491